> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update On-Call Policy



## OpenAPI

````yaml PATCH /api/v1/on-call/policies/{policyId}
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/on-call/policies/{policyId}:
    patch:
      tags:
        - on-call
      summary: Update an on-call policy
      operationId: OnCallPolicyController_updatePolicy_v1
      parameters:
        - name: policyId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOnCallPolicyDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    UpdateOnCallPolicyDto:
      type: object
      properties:
        name:
          type: string
        channelType:
          type: string
          enum:
            - email
            - sms
            - whatsapp
            - webhook
            - slack
            - discord
            - telegram
            - teams
        config:
          type: object
        teamId:
          type: object
        thresholdMinutes:
          type: number
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````